URL(4)

NAME
url - Realtek RTL8150L USB Ethernet driver

SYNOPSIS
url* at uhub?
urlphy* at mii?

DESCRIPTION
The url driver provides support for USB Ethernet adapters based on the Realtek RTL8150L USB-ether bridge chip.

The url driver supports the following adapters:

CompUSA USBKR100
GreenHouse GH-USB100B
Melco Inc. LUA-KTX
Sitecom LN013

For more information on configuring this device, see ifconfig(8).

DIAGNOSTICS

url%d: watchdog timeout A packet was queued for transmission and a transmit command was issued, however the device failed to acknowledge the transmission before a timeout expired.

url%d: no memory for rx list The driver failed to allocate an mbuf for the receiver ring.

SEE ALSO
arp(4), mii(4), netintro(4), usb(4), ifconfig(8)

HISTORY
The url device driver first appeared in NetBSD 1.6.

AUTHORS
The url driver was written by Shingo WATANABE <nabe@nabechan.org>.